Commit d0c4943d authored by Sandrine Avakian's avatar Sandrine Avakian

Fixing opus , mediastreamer2 and ortp build.

Mediastreamer dependency problem comes from libpcap enabled by default.
parent 3f1af81f
......@@ -17,7 +17,7 @@ PACKAGECONFIG[srtp] = ", --with-srtp=none, libsrtp-bc"
PACKAGECONFIG[bzrtp] = "--enable-zrtp=yes, --enable-zrtp=no, libbzrtp"
PACKAGECONFIG[x11] = "--enable-x11=yes --enable-xv=yes, --enable-x11=no --enable-xv=no, libxv"
EXTRA_OECONF += " --disable-glx"
EXTRA_OECONF += " --disable-glx --disable-pcap"
PACKAGES += "${PN}-bin"
......
......@@ -10,6 +10,26 @@ S = "${WORKDIR}/git"
inherit autotools pkgconfig
do_autoreconf() {
./autogen.sh
}
\ No newline at end of file
PACKAGECONFIG ??= ""
PACKAGECONFIG[fixed-point] = "--enable-fixed-point,,"
PACKAGECONFIG[float-approx] = "--enable-float-approx,,"
EXTRA_OECONF = " \
--with-NE10-includes=${STAGING_DIR_TARGET}${includedir} \
--with-NE10-libraries=${STAGING_DIR_TARGET}${libdir} \
--enable-asm \
--enable-intrinsics \
--enable-custom-modes \
"
python () {
if d.getVar('TARGET_FPU') in [ 'soft' ]:
d.appendVar('PACKAGECONFIG', ' fixed-point')
# Ne10 is only available for armv7 and aarch64
if any((t.startswith('armv7') or t.startswith('aarch64')) for t in d.getVar('TUNE_FEATURES').split()):
d.appendVar('DEPENDS', ' ne10')
}
ARM_INSTRUCTION_SET = "arm"
\ No newline at end of file
......@@ -9,4 +9,4 @@ SRC_URI = "git://git.linphone.org/ortp.git"
PV = "git_${SRCREV}"
PKGV = "${GITPKGVTAG}"
LIC_FILES_CHKSUM = "file://COPYING;md5=7fbc338309ac38fefcd64b04bb903e34"
LIC_FILES_CHKSUM = "file://COPYING;md5=c46082167a314d785d012a244748d803"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment